package com.steering.mes.mcp.entity;

import java.io.Serializable;

/**
 * 接箍螺纹检验实绩实体类
 * @author lzh520
 */
@SuppressWarnings("serial")
public class InspectResult implements Serializable {
    /**
     * 废品量（总量）
     */
    private String rejectedPcs;
    /**
     * 废品量1
     */
    private String rejectedPcs1;
    /**
     * 废品原因1
     */
    private String rejectedReason1;
    /**
     * 废品原因2
     */
    private String rejectedReason2;
    /**
     * 废品量2
     */
    private String rejectedPcs2;
    /**
     * 废品原因3
     */
    private String rejectedReason3;
    /**
     * 废品量3
     */
    private String rejectedPcs3;
    /**
     * 废品原因4
     */
    private String rejectedReason4;
    /**
     * 废品量4
     */
    private String rejectedPcs4;
    /**
     * 废品原因5
     */
    private String rejectedReason5;
    /**
     * 废品量5
     */
    private String rejectedPcs5;
    /**
     * 废品原因6
     */
    private String rejectedReason6;
    /**
     * 废品量6
     */
    private String rejectedPcs6;
    /**
     * 废品原因7
     */
    private String rejectedReason7;
    /**
     * 废品量7
     */
    private String rejectedPcs7;
    /**
     * 废品原因8
     */
    private String rejectedReason8;
    /**
     * 废品量8
     */
    private String rejectedPcs8;
    /**
     * 实绩编号
     */
    private String resultNo;
    /**
     * 备注
     */
    private String memo;
    public String getMemo() {
		return memo;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	/**
     * 产线代码
     */
    private String plineCode;
    /**
     * 作业工单号
     */
    private String planNO;
    /**
     * 合格量
     */
    private String qualiriedPcs;
    /**
     * 返修量
     */
    private String repairedPcs;
    /**
     * 返修原因1
     */
    private String repairedReason1;
    /**
     * 返修量1
     */
    private String repairedPcs1;
    /**
     * 返修原因2
     */
    private String repairedReason2;
    /**
     * 返修量2
     */
    private String repairedPcs2;
    /**
     * 返修原因3
     */
    private String repairedReason3;
    /**
     * 返修量3
     */
    private String repairedPcs3;
    /**
     * 备注
     */
    private String remark;
    /**
     * 采集方式(0-接口采集，1-人工录入)
     */
    private String colMode;
    /**
     * 采集/录入时间
     */
    private String colTime;
    /**
     * 操作人
     */
    private String colUser;
    /**
     * 操作班次
     */
    private String colShft;
    /**
     * 操作班组
     */
    private String colGroup;
    /**
     * 检验支数
     */
    private String inspectPieces;
    /**
     * 返修原因4
     */
    private String repairedReason4;
    /**
     * 返修量4
     */
    private String repairedPcs4;
    private String woId;

    public String getWoId() {
        return woId;
    }

    public void setWoId(String woId) {
        this.woId = woId;
    }

    public void setColShft(String colShft) {
        this.colShft = colShft;
    }

    public InspectResult() {
        rejectedPcs = "";
        rejectedPcs1 = "";
        rejectedReason1 = "";
        rejectedReason2 = "";
        rejectedPcs2 = "";
        rejectedReason3 = "";
        rejectedPcs3 = "";
        rejectedReason4 = "";
        rejectedPcs4 = "";
        rejectedReason5 = "";
        rejectedPcs5 = "";
        rejectedReason6 = "";
        rejectedPcs6 = "";
        rejectedReason7 = "";
        rejectedPcs7 = "";
        rejectedReason8 = "";
        rejectedPcs8 = "";
        resultNo = "";
        plineCode = "";
        planNO = "";
        qualiriedPcs = "";
        repairedPcs = "";
        repairedReason1 = "";
        repairedPcs1 = "";
        repairedReason2 = "";
        repairedPcs2 = "";
        repairedReason3 = "";
        repairedPcs3 = "";
        remark = "";
        colMode = "";
        colTime = "";
        colUser = "";
        colShft = "";
        colGroup = "";
        inspectPieces = "";
        repairedReason4 = "";
        repairedPcs4 = "";
    }

    /**
     * 废品量（总量）
     * @return value
     */
    public String getRejectedPcs() {
        return rejectedPcs;
    }

    /**
     * 废品量（总量）
     * @param rejectedPcs value
     */
    public void setRejectedPcs(String rejectedPcs) {
        this.rejectedPcs = rejectedPcs;
    }

    /**
     * 废品量1
     * @return value
     */
    public String getRejectedPcs1() {
        return rejectedPcs1;
    }

    /**
     * 废品量1
     * @param rejectedPcs1 value
     */
    public void setRejectedPcs1(String rejectedPcs1) {
        this.rejectedPcs1 = rejectedPcs1;
    }

    /**
     * 废品原因1
     * @return value
     */
    public String getRejectedReason1() {
        return rejectedReason1;
    }

    /**
     * 废品原因1
     * @param rejectedReason1 value
     */
    public void setRejectedReason1(String rejectedReason1) {
        this.rejectedReason1 = rejectedReason1;
    }

    /**
     * 废品原因2
     * @return value
     */
    public String getRejectedReason2() {
        return rejectedReason2;
    }

    /**
     * 废品原因2
     * @param rejectedReason2 value
     */
    public void setRejectedReason2(String rejectedReason2) {
        this.rejectedReason2 = rejectedReason2;
    }

    /**
     * 废品量2
     * @return value
     */
    public String getRejectedPcs2() {
        return rejectedPcs2;
    }

    /**
     * 废品量2
     * @param rejectedPcs2 value
     */
    public void setRejectedPcs2(String rejectedPcs2) {
        this.rejectedPcs2 = rejectedPcs2;
    }

    /**
     * 废品原因3
     * @return value
     */
    public String getRejectedReason3() {
        return rejectedReason3;
    }

    /**
     * 废品原因3
     * @param rejectedReason3 value
     */
    public void setRejectedReason3(String rejectedReason3) {
        this.rejectedReason3 = rejectedReason3;
    }

    /**
     * 废品量3
     * @return value
     */
    public String getRejectedPcs3() {
        return rejectedPcs3;
    }

    /**
     * 废品量3
     * @param rejectedPcs3 value
     */
    public void setRejectedPcs3(String rejectedPcs3) {
        this.rejectedPcs3 = rejectedPcs3;
    }

    /**
     * 废品原因4
     * @return value
     */
    public String getRejectedReason4() {
        return rejectedReason4;
    }

    /**
     * 废品原因4
     * @param rejectedReason4 value
     */
    public void setRejectedReason4(String rejectedReason4) {
        this.rejectedReason4 = rejectedReason4;
    }

    /**
     * 废品量4
     * @return value
     */
    public String getRejectedPcs4() {
        return rejectedPcs4;
    }

    /**
     * 废品量4
     * @param rejectedPcs4 value
     */
    public void setRejectedPcs4(String rejectedPcs4) {
        this.rejectedPcs4 = rejectedPcs4;
    }

    /**
     * 废品原因5
     * @return value
     */
    public String getRejectedReason5() {
        return rejectedReason5;
    }

    /**
     * 废品原因5
     * @param rejectedReason5 value
     */
    public void setRejectedReason5(String rejectedReason5) {
        this.rejectedReason5 = rejectedReason5;
    }

    /**
     * 废品量5
     * @return value
     */
    public String getRejectedPcs5() {
        return rejectedPcs5;
    }

    /**
     * 废品量5
     * @param rejectedPcs5 value
     */
    public void setRejectedPcs5(String rejectedPcs5) {
        this.rejectedPcs5 = rejectedPcs5;
    }

    /**
     * 废品原因6
     * @return value
     */
    public String getRejectedReason6() {
        return rejectedReason6;
    }

    /**
     * 废品原因6
     * @param rejectedReason6 value
     */
    public void setRejectedReason6(String rejectedReason6) {
        this.rejectedReason6 = rejectedReason6;
    }

    /**
     * 废品量6
     * @return value
     */
    public String getRejectedPcs6() {
        return rejectedPcs6;
    }

    /**
     * 废品量6
     * @param rejectedPcs6 value
     */
    public void setRejectedPcs6(String rejectedPcs6) {
        this.rejectedPcs6 = rejectedPcs6;
    }

    /**
     * 废品原因7
     * @return value
     */
    public String getRejectedReason7() {
        return rejectedReason7;
    }

    /**
     * 废品原因7
     * @param rejectedReason7 value
     */
    public void setRejectedReason7(String rejectedReason7) {
        this.rejectedReason7 = rejectedReason7;
    }

    /**
     * 废品量7
     * @return value
     */
    public String getRejectedPcs7() {
        return rejectedPcs7;
    }

    /**
     * 废品量7
     * @param rejectedPcs7 value
     */
    public void setRejectedPcs7(String rejectedPcs7) {
        this.rejectedPcs7 = rejectedPcs7;
    }

    /**
     * 废品原因8
     * @return value
     */
    public String getRejectedReason8() {
        return rejectedReason8;
    }

    /**
     * 废品原因8
     * @param rejectedReason8 value
     */
    public void setRejectedReason8(String rejectedReason8) {
        this.rejectedReason8 = rejectedReason8;
    }

    /**
     * 废品量8
     * @return value
     */
    public String getRejectedPcs8() {
        return rejectedPcs8;
    }

    /**
     * 废品量8
     * @param rejectedPcs8 value
     */
    public void setRejectedPcs8(String rejectedPcs8) {
        this.rejectedPcs8 = rejectedPcs8;
    }

    /**
     * 实绩编号
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    public String getPlanNO() {
        return planNO;
    }

    public void setPlanNO(String planNO) {
        this.planNO = planNO;
    }

    /**
     * 合格量
     * @return value
     */
    public String getQualiriedPcs() {
        return qualiriedPcs;
    }

    /**
     * 合格量
     * @param qualiriedPcs value
     */
    public void setQualiriedPcs(String qualiriedPcs) {
        this.qualiriedPcs = qualiriedPcs;
    }

    /**
     * 返修量
     * @return value
     */
    public String getRepairedPcs() {
        return repairedPcs;
    }

    /**
     * 返修量
     * @param repairedPcs value
     */
    public void setRepairedPcs(String repairedPcs) {
        this.repairedPcs = repairedPcs;
    }

    /**
     * 返修原因1
     * @return value
     */
    public String getRepairedReason1() {
        return repairedReason1;
    }

    /**
     * 返修原因1
     * @param repairedReason1 value
     */
    public void setRepairedReason1(String repairedReason1) {
        this.repairedReason1 = repairedReason1;
    }

    /**
     * 返修量1
     * @return value
     */
    public String getRepairedPcs1() {
        return repairedPcs1;
    }

    /**
     * 返修量1
     * @param repairedPcs1 value
     */
    public void setRepairedPcs1(String repairedPcs1) {
        this.repairedPcs1 = repairedPcs1;
    }

    /**
     * 返修原因2
     * @return value
     */
    public String getRepairedReason2() {
        return repairedReason2;
    }

    /**
     * 返修原因2
     * @param repairedReason2 value
     */
    public void setRepairedReason2(String repairedReason2) {
        this.repairedReason2 = repairedReason2;
    }

    /**
     * 返修量2
     * @return value
     */
    public String getRepairedPcs2() {
        return repairedPcs2;
    }

    /**
     * 返修量2
     * @param repairedPcs2 value
     */
    public void setRepairedPcs2(String repairedPcs2) {
        this.repairedPcs2 = repairedPcs2;
    }

    /**
     * 返修原因3
     * @return value
     */
    public String getRepairedReason3() {
        return repairedReason3;
    }

    /**
     * 返修原因3
     * @param repairedReason3 value
     */
    public void setRepairedReason3(String repairedReason3) {
        this.repairedReason3 = repairedReason3;
    }

    /**
     * 返修量3
     * @return value
     */
    public String getRepairedPcs3() {
        return repairedPcs3;
    }

    /**
     * 返修量3
     * @param repairedPcs3 value
     */
    public void setRepairedPcs3(String repairedPcs3) {
        this.repairedPcs3 = repairedPcs3;
    }

    /**
     * 备注
     * @return value
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark value
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @return value
     */
    public String getColMode() {
        return colMode;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @param colMode value
     */
    public void setColMode(String colMode) {
        this.colMode = colMode;
    }

    /**
     * 采集/录入时间
     * @return value
     */
    public String getColTime() {
        return colTime;
    }

    /**
     * 采集/录入时间
     * @param colTime value
     */
    public void setColTime(String colTime) {
        this.colTime = colTime;
    }

    /**
     * 操作人
     * @return value
     */
    public String getColUser() {
        return colUser;
    }

    /**
     * 操作人
     * @param colUser value
     */
    public void setColUser(String colUser) {
        this.colUser = colUser;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getColShft() {
        return colShft;
    }

    /**
     * 操作班次
     * @param colShift value
     */
    public void setColShift(String colShft) {
        this.colShft = colShft;
    }

    /**
     * 操作班组
     * @return value
     */
    public String getColGroup() {
        return colGroup;
    }

    /**
     * 操作班组
     * @param colGroup value
     */
    public void setColGroup(String colGroup) {
        this.colGroup = colGroup;
    }

    /**
     * 检验支数
     * @return value
     */
    public String getInspectPieces() {
        return inspectPieces;
    }

    /**
     * 检验支数
     * @param inspectPieces value
     */
    public void setInspectPieces(String inspectPieces) {
        this.inspectPieces = inspectPieces;
    }

    /**
     * 返修原因4
     * @return value
     */
    public String getRepairedReason4() {
        return repairedReason4;
    }

    /**
     * 返修原因4
     * @param repairedReason4 value
     */
    public void setRepairedReason4(String repairedReason4) {
        this.repairedReason4 = repairedReason4;
    }

    /**
     * 返修量4
     * @return value
     */
    public String getRepairedPcs4() {
        return repairedPcs4;
    }

    /**
     * 返修量4
     * @param repairedPcs4 value
     */
    public void setRepairedPcs4(String repairedPcs4) {
        this.repairedPcs4 = repairedPcs4;
    }
}
